//
// ClassifyRequest.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct ClassifyRequest: Codable, JSONEncodable, Hashable {

    public var file: String?
    public var url: String?
    public var force: Bool?
    public var objects: Bool?

    public init(file: String? = nil, url: String? = nil, force: Bool? = nil, objects: Bool? = nil) {
        self.file = file
        self.url = url
        self.force = force
        self.objects = objects
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case file
        case url
        case force
        case objects
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(file, forKey: .file)
        try container.encodeIfPresent(url, forKey: .url)
        try container.encodeIfPresent(force, forKey: .force)
        try container.encodeIfPresent(objects, forKey: .objects)
    }
}

